<template>
    <q-list separator>
        <q-item-label header>Zone Settings</q-item-label>
        <ToggleSetting label="Draw Zones"
                       caption="Draw the zones demarcated on the floor plan"
                       v-model="FloorPlanSettings.StoreValue.showZone"/>
        <SliderSetting label="Zone Transparency"
                       caption="The transparency of the zones drawn"
                       v-model="FloorPlanSettings.StoreValue.zoneAlpha"
                       :disable="!ShowZone"
                       :min="0" :max="1.0" :step="0.05"
        />
        <RadioSetting
            :disable="!ShowZone"
            label="Zone Color Mode" caption="The colors for each zone"
            :options="ColorMode"
            v-model="FloorPlanSettings.StoreValue.zoneColorMode"
        />
        <ToggleSetting
            label="Draw Danger Zone"
            caption="Highlight zones that are marked dangerous"
            v-model="FloorPlanSettings.StoreValue.showDanger"
        />
        <SliderSetting
            label="Danger Intensity"
            caption="How dense the danger area should be drawn"
            :min="1" :max="10" :step="1"
            :disable="!ShowDanger"
            v-model="FloorPlanSettings.StoreValue.dangerIntensity"
        />
        <ToggleSetting
            label="Enable Zone Text"
            caption="Label each zone with their name"
            v-model="FloorPlanSettings.StoreValue.showZoneText"
        />
        <SliderSetting
            label="Zone Text Size"
            caption="Size of zone name labels"
            :disable="!ShowText"
            :min="4" :max="100" :step="4"
            v-model="FloorPlanSettings.StoreValue.zoneTextSize"
        />
        <ColorSetting
            :disable="!ShowText"
            label="Zone Text Color"
            caption="Color of the zone name labels"
            v-model="FloorPlanSettings.StoreValue.zoneTextColor"
        />
    </q-list>
</template>

<script lang='ts'>
import {Component, Vue} from 'vue-property-decorator';
import {ZoneColorModes} from "src/classLibrary/Constants";
import ToggleSetting from "components/Filters/ToggleSetting.vue";
import SliderSetting from "components/Filters/SliderSetting.vue";
import RadioSetting from "components/Filters/RadioSetting.vue";
import ColorSetting from "components/Filters/ColorSetting.vue";

@Component({
    components: {ColorSetting, RadioSetting, SliderSetting, ToggleSetting}
})
export default class ZoneSettings extends Vue {
    get ColorMode() {
        return ZoneColorModes;
    }

    get ShowZone() {
        return this.FloorPlanSettings.StoreValue.showZone;
    }

    get ShowDanger() {
        return this.FloorPlanSettings.StoreValue.showDanger;
    }

    get ShowText() {
        return this.FloorPlanSettings.StoreValue.showZoneText;
    }
}
</script>

<style lang='scss' scoped>

</style>
